libsigc++: sigc::bound_mem_functor< T_func, T_arg > Class Template Reference

libsigc++ 3.0.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bound_mem_functor< T_func, T_arg > Class Template Reference

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_mem_functor< T_func, T_arg >:
[legend]

## Public Types
using | function_type = typename base_type::function_type
using | obj_type_with_modifier = typename std::conditional_t< internal::member_method_is_const< T_func >::value, const object_type, object_type >
using | object_type = typename base_type::object_type
using | T_limit_reference = typename std::conditional_t< internal::member_method_is_const< T_func >::value, limit_reference< const object_type >, limit_reference< object_type >>

## Public Member Functions
| bound_mem_functor (obj_type_with_modifier& obj, function_type func)
| Constructs a bound_mem_functor object that wraps the passed method. More...
decltype(auto) | operator() (type_trait_take_t< T_arg >...a) const
| Execute the wrapped method operating on the stored instance. More...

## Public Attributes
T_limit_reference | obj_

## Member Typedef Documentation

template <typename T_func , typename... T_arg>

using sigc::bound_mem_functor< T_func, T_arg >::function_type = typename base_type::function_type

template <typename T_func , typename... T_arg>

using sigc::bound_mem_functor< T_func, T_arg >::obj_type_with_modifier = typename std:: conditional_t<internal::member_method_is_const<T_func>::value, const object_type, object_type>

template <typename T_func , typename... T_arg>

using sigc::bound_mem_functor< T_func, T_arg >::object_type = typename base_type::object_type

template <typename T_func , typename... T_arg>

using sigc::bound_mem_functor< T_func, T_arg >::T_limit_reference = typename std::conditional_t<internal::member_method_is_const<T_func>::value, limit_reference<const object_type>, limit_reference<object_type>>

## Constructor & Destructor Documentation

template <typename T_func , typename... T_arg>

sigc::bound_mem_functor< T_func, T_arg >::bound_mem_functor | ( | obj_type_with_modifier& | obj,
|  | function_type | func
| ) |  |
| inline

Constructs a bound_mem_functor object that wraps the passed method.

Parameters

  obj | Reference to instance the method will operate on.
  func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <typename T_func , typename... T_arg>

decltype(auto) sigc::bound_mem_functor< T_func, T_arg >::operator() | ( | type_trait_take_t< T_arg >... | a | ) | const
| inline

Execute the wrapped method operating on the stored instance.

Parameters

  a | Arguments to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <typename T_func , typename... T_arg>

T_limit_reference sigc::bound_mem_functor< T_func, T_arg >::obj_